@media (max-width: 767px) {

    .home-section {
        min-width: 100vw;
    }

    .main-container {
        width: 100%;
        margin: 0;
        position: relative;
    }

    /* home section */
    .home-section--main-container {
        margin: 0;
        padding: 0;
    }
    
  
    .home-section--main-container p{
        width: 90%;
        text-align: center;
        font-size: 1.1rem;
    }

    .summary-table-box{
        display: grid;
        grid-template-columns: 1fr 1fr;
        width: 100%;
        row-gap: 10px;
        padding: 50px 5px ;
        margin-bottom: 88px;
    }

    .summary-table-box div {
        min-width: 0;
        border-bottom: 1px solid rgba(63, 63, 70, 0.418);
        border-right: none;
        /* height: auto; */
    }


    .home-section--main-container h1{
        font-size: 40px;
    }

    /* text animation */
    .text-effect-container h2 {
        font-size: 26px !important;
    }

    .text-effect-container h2 {
        margin-left: 60px;
    }


    /* nav */
    nav {
        display: flex;
        justify-content: space-between;

        position: fixed;
        bottom: 0;
        left: 0;
        top: auto;
        height: auto;
        
        min-width: 100vw;

        background-color: var(--main--nav--color);
    }

    nav div {
        padding: 5px 5px;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }



    /* about section */
    .visual-box {
        flex-direction: column-reverse;
    }

    .visual-box--right-box {
        min-width:  100%;
    }

    .skill-items {
        grid-template-columns:  1fr !important;
    }

    .skill-items li {
        justify-content: space-around;
    }

    .personal-details-box {
        margin-top: 650px !important;
    }

    .visual-box--left-box {
        min-width: 100%;
    }

    .visual-box--right-box, .visual-box--left-box{
        padding: 30px !important;
    }

    .text-box {
        flex-direction: column;
        height: auto !important;
    }

    .summary-box {
        min-width: 100%;
    }

    /* project section */
    .project-section {
        padding: 10px !important;
    }

    .github-boxs {
        grid-template-columns: 1fr !important;
    }

    section.project-section > h4:nth-child(5) {
        margin-bottom: 100px;
    }

    /* contact sections */
    .contact-information-box {
        display: none;
    }

    .contact-section {
        padding: 5px !important;
    }

    .form-head-text {
        font-size: 20px !important;
    }

    .form-box {
        min-width: 100%;
        margin-bottom: 90px;
    }

    .customer-info-box1, .customer-info-box2 {
        grid-template-columns: 1fr !important;
    }

    .customer-info-box {
        padding: 5px !important;
    }

    .big-text {
        font-size: 14px !important;
        width: 100%;
        min-height: 200px;
    }
}

@media (max-width: 1250px) {
    body {
        background-color: red;
    }

    .main-container {
        position: absolute;
        left: 0;
        min-width: 95%;
        height: auto;
    }

    .home-section--main-container {
        margin-top: 0;
    }

    .home-section--main-container p {
        min-width: 85%;
    }

    .summary-table-box {
        width: 100%;
    }

    .summary-table-box div {
        min-width: auto;
    }

    .summary-table-box {
        justify-content: space-between;
    }





    .skill-items {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .skill-items li {
        justify-content: space-around;
    }

    .visual-box--left-box {
        display: none;
    }

    .visual-box--right-box {
        width: auto !important;
    }



    .github-boxs {
        grid-template-columns: 1fr !important;
    }


    .contact-section {
        flex-direction: column !important;
    }

    .form-box {
        width: 100% !important;
    }

    .big-text{
        width: 100%;
    }

    .contact-information-box {
        width: 100% !important;
    }

    nav {
        right: 5px;
    }
}

@media (min-width: 900px){
    .github-boxs {
        grid-template-columns: 1fr 1fr !important;
        justify-items: baseline !important;
        max-width: fit-content;
        margin: 0 auto;
    }
}

@media (min-width: 1470px){
    .github-boxs {
        grid-template-columns: 1fr 1fr 1fr !important;
        justify-items: baseline !important;
        max-width: fit-content;
        margin: 0 auto;
    }
}


